#define Yellow1 0xEFC0
#define Yellow2 0xCEA0
#define Yellow3 0xF785
#define Orange1 0xFB42
#define Orange2 0xFC26
#define Orange3 0xFAE0
#define Red1    0xF800
#define Red2    0xE000
#define Red3    0xB800
#define Green1  0x4DC0
#define Green2  0x1521
#define Green3  0x0B82
#define Gray1   0x6B4D
#define Gray2   0x8C71
#define Gray3   0xAD54
#define Blue1   0x085D
#define Blue2   0x3A1E
#define Blue3   0x16BD
#define Blue5   0x1334
#define Blue4   0x0B34
#define Pink1   0xF9DD
#define Pink2   0xC037
#define Pink3   0x8830
#define Black1  0x0000
#define Black2  0x3186
#define Black3  0x4A69
#define White   0xFFFF
#define alphagray1  0xCE18
#define alphagray2  0xBD96
#define alphared1   0xFC30

void ILI9341_InitLCD(void);
void ILI9341_SendCommand(uint8_t data);
void ILI9341_SendData(uint8_t data);
void ILI9341_SetCursorPosition(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void ILI9341_DrawPixel(uint16_t x, uint16_t y, uint32_t color);
void ILI9341_DisplayOn(void);
void ILI9341_DisplayOff(void);
void tft_line(int X1, int Y1,int X2,int Y2,int Color);
void full_rect( int X1, int Y1, int X2, int Y2, uint16_t color);
void ILI9341_Delay(volatile unsigned int delay);
void ILI9341_Clear(uint16_t color);
void putpictures(u16 x, u16 y, u16 width, u16 height, unsigned char const *grafika, uint8_t scale, uint8_t alpha);
void versiontab(uint16_t xp, uint16_t yp,unsigned char const * grafika, uint16_t color, uint8_t width);
void tft_line2(int X1, int Y1,int X2,int Y2,int Color) ;
void tft_line3(int X1, int Y1,int X2,int Y2,int Color);
uint8_t putmonograph(uint16_t x, uint16_t y, uint16_t color, uint16_t bkcolor, uint16_t width, uint16_t height,const uint8_t *s);
void tft_round_rect(int x, int y, int width, int height, uint8_t radius, uint16_t color1, uint16_t color2);
void tft_round_rect1(int x, int y, int width, int height, uint8_t radius, uint8_t fill, uint16_t color);
void full_rect3( int X1, int Y1, int X2, int Y2, uint16_t color);
void lcdputvalue(u16 x, u16 y, u16 value, u16 color);
void putpictures2(u16 x, u16 y, u16 width, u16 height, unsigned char const *grafika);
void putpictures3(u16 x, u16 y, unsigned char const *grafika);
void alpharectangle(u16 x1, u16 y1, u16 x2, u16 y2, u16 color, u8 border);
void lcdputvalue2(u16 x, u16 y, u16 value, u16 color);
void lcdputvalue3(u16 x, u16 y, u16 value, u16 color);
void putfastpicscal2(u16 x, u16 y, u16 width, u16 height, unsigned char const *grafika);
void ILI9341_DrawPixel2(uint16_t x, uint16_t y, uint32_t color);
